package org.warp.jcwdb;

public class DBStandardTypes {
	private static final int STD =				0xFFFFF000;
	public static final int BOOLEAN =			STD|  0;
	public static final int BYTE =				STD|  1;
	public static final int SHORT =				STD|  2;
	public static final int CHAR =				STD|  3;
	public static final int INTEGER =			STD|  4;
	public static final int FLOAT =				STD|  5;
	public static final int DOUBLE =			STD|  6;
	public static final int STRING =			STD|  7;
	public static final int BYTE_ARRAY =		STD|  8;
	public static final int LIGHT_LIST_ARRAY =	STD|  9;
	public static final int LIGHT_LIST_BIG =	STD|  10;
	public static final int GENERIC_OBJECT =	STD| 11;

	public static void registerStandardTypes(JCWDatabase db, TypesManager typesManager) {
		typesManager.registerType(String.class, STRING, new DBStringParser());
		typesManager.registerType(LightArrayList.class, LIGHT_LIST_ARRAY, new DBLightArrayListParser(db));
		typesManager.registerType(LightBigList.class, LIGHT_LIST_BIG, new DBLightBigListParser(db));
		typesManager.registerTypeFallback(new DBGenericObjectParser());
	}
}